.header {
    top: 0;
    left: 0;
    right: 0;
    z-index: 800;
    background: $white;
    position: absolute;
    transition: .3s;

    &__body {
        height: rem(70);
        position: relative;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__logo {
        fill: $black;
        display: block;
        width: rem(40);
        flex-shrink: 0;
    }

    &__mmco {
        width: rem(40);
        display: block;
    }

    &__hamburger {
        right: 0;
        top: calc(50% - 12px);
        font-size: 0;
        line-height: 0;
        position: absolute;
    }

    &__group {
        display: flex;
        align-items: center;
    }

    &--transparent {
        background: transparent;

        .header {

            &__logo {
                fill: $white;
            }
        }

        .hamburger {

            span,
            &:after,
            &:before {
                background: $white;
            }
        }
    }

    &--fixed {
        position: fixed;
        background: $white !important;
        box-shadow: 0px 8px 48px rgba(35, 32, 30, 0.08);


        .header {

            &__logo {
                fill: $dark;
            }
        }

        .hamburger {

            span,
            &:after,
            &:before {
                background: $dark;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__body {
            height: rem(100);
            justify-content: space-between;
        }

        .container {
            max-width: rem(1440);
        }

        &__logo {
            width: rem(40);
        }

        &__hamburger {
            display: none;
        }

        &--transparent {

            .header-nav {

                &__link {
                    color: $white;

                    &:hover {
                        color: $white;
                    }
                }
            }
        }

        &--fixed {

            .header-nav {

                &__link {
                    color: $dark;

                    &:hover {
                        color: $dark;
                    }
                }
            }

            .btn-gray {
                fill: $white;
                color: $white;
                background: linear-gradient(97.57deg, #358CFF 0%, #006DFF 100%);

                &:hover {
                    fill: $white;
                    color: $white;
                    background: $blue;
                }

                &:active {
                    background: #006DFF;
                }
            }
        }
    }

    @media (min-width: 1600px) {

        .container {
            padding-right: rem(48);
            padding-left: rem(48);
        }

        &__mmco {
            width: rem(48);
            height: rem(48);
        }
    }
}

.header-sticky {
    left: 0;
    top: 0;
    position: absolute;
}

.hamburger {
    margin: 0;
    padding: 0;
    width: 24px;
    height: 24px;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    display: block;
    cursor: pointer;
    position: relative;
    background: transparent;

    span,
    &:after,
    &:before {
        width: 24px;
        height: 2px;
        content: '';
        top: calc(50% - 1px);
        left: calc(50% - 12px);
        display: inline-block;
        position: absolute;
        transition-property: transform;
        transition-duration: .15s;
        transition-timing-function: ease;
        background-color: $black;
    }

    span {

    }

    &:after {
        transform: translateY(-7px);
    }

    &:before {
        transform: translateY(7px);
    }

    &.hamburger--open {

    }
}

.header-nav {
    left: 0;
    right: 0;
    bottom: 0;
    color: $black;
    top: rem(70);
    z-index: 500;
    position: fixed;
    overflow-y: auto;
    padding: rem(25);
    text-align: center;
    background: $white;
    opacity: 0;
    visibility: hidden;
    transition: .3s;

    &__title {
        font-weight: 600;
        font-size: rem(24);
        line-height: rem(30);
        margin-bottom: rem(16);
    }

    &__menu {
        margin: 0;
        padding: 0;
        list-style: none;
        font-weight: 500;
        font-size: rem(18);
        line-height: rem(26);
    }

    &__link {
        color: $black;
        padding: rem(8);
        white-space: nowrap;
        text-decoration: none;
        display: inline-block;

        &:hover {
            color: $black;
            text-decoration: none;
        }
    }

    &__buttons {
        padding-top: rem(12);
    }

    &__button {
        margin-bottom: rem(8);
    }

    @include media-breakpoint-up(sm) {

        &__buttons {
            display: flex;
            align-items: center;
            justify-content: center;
        }

        &__button {
            margin: 0 rem(4);
        }
    }

    @include media-breakpoint-up(md) {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    @include media-breakpoint-up(xl) {
        top: auto;
        opacity: 1;
        left: auto;
        right: auto;
        bottom: auto;
        overflow: visible;
        padding: 0 0 0 rem(54);
        visibility: visible;
        display: block;
        position: relative;
        background: transparent;
        flex-grow: 1;

        &__wrap {
            flex-grow: 1;
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__title {
            display: none;
        }

        &__menu {
            font-size: rem(16);
            line-height: rem(24);
            display: flex;
            align-items: center;
        }

        &__buttons {
            padding-top: 0;
            margin-left: rem(52);
            display: flex;
        }

        &__item {
            padding: 0 rem(10);
        }

        &__link {
            padding: 0;
            color: $black;
            text-decoration: none;

            &:hover {
                color: $black;
                text-decoration: underline;
            }
        }
    }

}

.nav-open {
    overflow: hidden;

    .header {
        background: $white;

        &--transparent {
            background: $white;

            .header {

                &__logo {
                    fill: $dark;
                }
            }

            .hamburger {

                span,
                &:after,
                &:before {
                    background: $dark;
                }
            }
        }
    }

    .header-nav {
        opacity: 1;
        visibility: visible;
        transition: .3s;
    }

    .hamburger {

        span {
            opacity: 0;
        }

        &:after {
            transform: translateY(0) rotate(45deg);
        }

        &:before {
            transform: translateY(0) rotate(-45deg);
        }
    }

    .btn-gray {
        fill: $white;
        color: $white;
        background: linear-gradient(97.57deg, #358CFF 0%, #006DFF 100%);

        &:hover {
            fill: $white;
            color: $white;
            background: $blue;
        }

        &:active {
            background: #006DFF;
        }
    }

    @include media-breakpoint-up(xl) {

    }
}
